TAR-GZ to ZIP
Convert TAR.GZ archives to ZIP archives.
Try TAR.GZ to ZIP in the browser →
Convert.FAST uses this same API — what you see in the browser is what you get in code.
Quick reference
| Job type | archive.tar-gz-to-zip |
| targetFormat | zip |
| Category | archives |
| Input formats | .tar.gz, .tgz |
| Output extension | .zip |
| Costing | 1 credit per 5 MB |
| Max file size | 2 GB |
Example
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
-H "X-Fast-Api-Key: $API_KEY" \
-F "file=@archive.tar.gz" \
-F "targetFormat=zip" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}
# 2) Poll until terminal status
while true; do
RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
-H "X-Fast-Api-Key: $API_KEY")
STATUS=$(echo "$RESPONSE" | jq -r '.status')
[ "${STATUS}" = "Succeeded" ] && break
[ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
sleep 1
done
# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
-H "X-Fast-Api-Key: $API_KEY" \
-o "archive.zip"
# → Binary file (application/zip, 2.5 MB)Options
This converter does not support additional options.
Cost estimate
curl -sS "https://api.tools.fast/convert/estimate/tar.gz/zip?fileSizeMb=50"